/**************************************************************************
	Copyright (c) 2001-2003 Geir Landr (drop@destroydrop.com)
	JavaScript Tree - www.destroydrop.com/hjavascripts/tree/
	Version 0.96	

	This script can be used freely as long as all copyright messages are
	intact.
**************************************************************************/

// Arrays for nodes and icons
var nodes			= new Array();
var openNodes		= new Array();
var icons			= new Array(13);
var scoreNodeID		= -1;

/**Function used to change the window status on mouseover*/
function MouseOverThis(element)
	{
	/**Check we have retrieved a valid element*/
	if (element != null)
		window.status=element.innerText;
		
	/**Return true*/
	return true;
	}

/**Pre Loads the icons into memory*/
function preloadIcons()
	{
	/**Tree Icons*/
	icons[0] = new Image();
	icons[0].src = "../../../templates/images/plus.gif";
	icons[1] = new Image();
	icons[1].src = "../../../templates/images/plusbottom.gif";
	icons[2] = new Image();
	icons[2].src = "../../../templates/images/minus.gif";
	icons[3] = new Image();
	icons[3].src = "../../../templates/images/minusbottom.gif";
	icons[4] = new Image();
	icons[4].src = "../../../templates/images/folder.gif";
	icons[5] = new Image();
	icons[5].src = "../../../templates/images/folderopen.gif";
	/**Powerpoint image*/
	icons[6] = new Image();
	icons[6].src = "../../../templates/images/pps.png";
	/**Word image*/
	icons[7] = new Image();
	icons[7].src = "../../../templates/images/word.png";
	/**HTML image*/
	icons[8] = new Image();
	icons[8].src = "../../../templates/images/ie.png";
	/**Demo mode image*/
	icons[9] = new Image();
	icons[9].src = "../../../templates/images/page.gif";
	/**Exercice mode image*/
	icons[10] = new Image();
	icons[10].src = "../../../templates/images/4.png";
	/**Evaluation mode image*/
	icons[11] = new Image();
	icons[11].src = "../../../templates/images/page.gif";
	/**Help image*/
	icons[12] = new Image();
	icons[12].src = "../../../templates/images/aide.gif";
	}

// Create the tree
function createTree(arrName,rootName, rootLink, startNode, openNode)
	{
	/**Create the tree based on this node array*/
	nodes = arrName;
	/**Valid array?*/
	if (nodes.length > 0)
		{
		/**Preload for speed and performance*/
		preloadIcons();

		/**Initialise StartNode Variable*/		
		if (startNode == null)
			startNode = 0;
		/**Need to Mark the Open node?*/
		if(openNode != 0 || openNode != null)
			setOpenNodes(openNode);
	
		/**Enables the Creation of a Tree starting from Node X*/
		if (startNode !=0)
			{
			var nodeValues = nodes[getArrayId(startNode)].split("|");
			document.write("<a class=\"treeLink\" href=\"" + nodeValues[3] + "\" onmouseover=\"return MouseOverThis(this);\" onmouseout=\"window.status=' ';return true;\"><img class=\"treeimg\" src=\"../../../templates/images/folderopen.gif\" align=\"absbottom\" alt=\"\" />" + unescape(nodeValues[2]) + "</a><br />");
			}
		else
			{
			/**Starts Writing the tree from root specified in arguments*/
			document.write("<a class=\"treeLink treeRoot\" href="+rootLink+" target=\"mainFrame\">"+rootName+"</a>");
			}
			
		var recursedNodes = new String();
		addNode(startNode, recursedNodes);
		/**Hide the Scoring Nodes*/
		DoShowScore(false);
		}
	}
	
/**Gets the Index of an Array Node*/
function getArrayId(node)
	{
	/**Loop through all nodes*/
	for (i=0; i<nodes.length; i++)
		{
		/**Separate the Node Values*/
		var nodeValues = nodes[i].split("|");
		/**Is this the one we are searching for?*/
		if (nodeValues[0]==node)
			{
			/**Return its index in the node array*/
			return i;
			}
		}
	}
/**Marks an Array to be Open*/
function setOpenNodes(openNode)
	{
	/**Loop through all nodes*/
	for (i=0; i<nodes.length; i++)
		{
		/**Separate the Node Values*/
		var nodeValues = nodes[i].split("|");
		/**Is this the one we are searching for?*/
		if (nodeValues[0]==openNode)
			{
			/**Add this to the open nodes array*/
			openNodes.push(nodeValues[0]);
			/**Open its parent*/
			setOpenNodes(nodeValues[1]);
			}
		} 
	}
	
/**Checks if a node is open*/
function isNodeOpen(node)
	{
	/**Loop through all nodes in the open node array*/
	for (i=0; i<openNodes.length; i++)
		{
		/**Is this the node we are searching for?*/
		if (openNodes[i]==node)
			{
			/**found it, return true*/
			return true;
			}
		}
	/**Couldnt find it on the open node array*/
	return false;
	}
// Checks if a node has any children
function hasChildNode(parentNode)
	{
	for (i=0; i< nodes.length; i++)
		{
		var nodeValues = nodes[i].split("|");
		if (nodeValues[1] == parentNode)
			return true;
		}
	return false;
	}
// Checks if a node is the last sibling
function lastSibling (node, parentNode)
	{
	var lastChild = 0;
	for (i=0; i< nodes.length; i++)
		{
		var nodeValues = nodes[i].split("|");
		if (nodeValues[1] == parentNode)
			lastChild = nodeValues[0];
		}
	if (lastChild==node)
		return true;
	else
		return false;
	}
// Adds a new node to the tree
function addNode(parentNode, recursedNodes)
	{
	/**Loop through all nodes*/
	for (var i = 0; i < nodes.length; i++)
		{
		/**Convert the node value into a sub array*/
		var nodeValues = nodes[i].split("|");
		/**Is this the parent of the node we want*/
		if (nodeValues[1] == parentNode)
			{
			var ls	= lastSibling(nodeValues[0], nodeValues[1]);
			var hcn	= hasChildNode(nodeValues[0]);
			var ino = isNodeOpen(nodeValues[0]);

			if ((nodeValues[3].indexOf("##")!= -1)&&(nodeValues[1]==0))
				{
				scoreNodeID = nodeValues[0];
				}
				
			/**remove target if necessary*/
			if(nodeValues[3]!="#")
				{
				/**Get the Target String*/
				var theJSString = "JavaScript:";
				var ctheJSString = theJSString.length;
				/**This our culprit?*/
				if(nodeValues[3].slice(0,ctheJSString)==theJSString)
					{
					/**remove the target*/
					nodeValues[3]=nodeValues[3].slice(0,nodeValues[3].indexOf("\" target"));
					}
				}

			// Write out line & empty icons
			for (g=0; g<recursedNodes.length; g++)
				{
				if (recursedNodes[g] == 1)
					document.write("<img class=\"treeimg\" src=\"../../../templates/images/line.gif\" align=\"absbottom\" alt=\"\" />");
				else
					/**For Mysis display all line images and no empty images*/
					document.write("<img class=\"treeimg\" src=\"../../../templates/images/line.gif\" align=\"absbottom\" alt=\"\" />");
				}

			// put in array line & empty icons
			if (ls)
				recursedNodes+="0";
			else
				recursedNodes+="1";

			// Write out join icons
			if (hcn)
				{
				if (ls)
					{
					document.write("<a class=\"treeNoLink\" href=\"#\" onclick=\"javascript: oc(" + nodeValues[0] + ", 1);\"><img class=\"treeimg\" id=\"join" + nodeValues[0] + "\" src=\"../../../templates/images/");
				 	if (ino)
				 		document.write("minus");
					else
						document.write("plus");
					document.write("bottom.gif\" align=\"absbottom\" alt=\""+unescape(nodeValues[2])+"\"/></a>");
					}
				else
					{
					document.write("<a class=\"treeNoLink\" href=\"#\" onclick=\"javascript: oc(" + nodeValues[0] + ", 0);\"><img class=\"treeimg\" id=\"join" + nodeValues[0] + "\" src=\"../../../templates/images/");
					if (ino)
						document.write("minus");
					else
						document.write("plus");
					document.write(".gif\" align=\"absbottom\" alt=\""+unescape(nodeValues[2])+"\" /></a>");
					}
				}
			else
				{
				if (ls)
					document.write("<img class=\"treeimg\" src=\"../../../templates/images/joinbottom.gif\" align=\"absbottom\" alt=\"\" />");
				else
					document.write("<img class=\"treeimg\" src=\"../../../templates/images/join.gif\" align=\"absbottom\" alt=\"\" />");
				}

			// Start link
			if(nodeValues[3] == "#" || nodeValues[3] == "$\" target=\"mainFrame" || nodeValues[0] == scoreNodeID)
				{
				// Write out folder & page icons
				if (hcn)
					{
					if(nodeValues[4] != "#") 
						{
						document.write("<img class=\"treeimg\" id=\"icon" + nodeValues[0] + "\" src=\"../../../templates/images/"+nodeValues[4]+"\"");
						document.write(" align=\"absbottom\" alt=\""+unescape(nodeValues[2])+"\" />");
						}
					else
						{
						document.write("<img class=\"treeimg\" id=\"icon" + nodeValues[0] + "\" src=\"../../../templates/images/folder")
						if (ino)
							document.write("open");
						document.write(".gif\" align=\"absbottom\" alt=\""+unescape(nodeValues[2])+"\" />");
						}
					}
				else
					document.write("<img class=\"treeimg\" id=\"icon" + nodeValues[0] + "\" src=\"../../../templates/images/page.gif\" align=\"absbottom\" alt=\""+ unescape(nodeValues[2])+"\" />");
				
				// Write out node name
				if(hcn)
					{
					if (ls)
						document.write("<span id=\"span"+ nodeValues[0] + "\" NOWRAP=\"\" class=\"tree\" onclick=\"javascript: oc(" + nodeValues[0] + ", 1);\">");
					else
						document.write("<span id=\"span"+ nodeValues[0] + "\" NOWRAP=\"\" class=\"tree\" onclick=\"javascript: oc(" + nodeValues[0] + ", 0);\">");
					}
				else
					{
					document.write("<span NOWRAP=\"\" class=\"tree\">");
					}
				document.write(unescape(nodeValues[2]));
				document.write("</span>");
				// End link
				document.write("<br/>");
				}
			else
				{
				// Start link document.write
				document.write("<a class=\"treeLink\" id=\"I"+nodeValues[0]+"\" href=\"" + nodeValues[3] + "\" onmouseover=\"return MouseOverThis(this);\" onmouseout=\"window.status=' ';return true;\">");
				// Write out folder & page icons
				if (hcn)
					{
					document.write("<img class=\"treeimg\" id=\"icon" + nodeValues[0] + "\" src=\"../../../templates/images/folder")
					if (ino)
						document.write("open");
					document.write(".gif\" align=\"absbottom\" alt=\""+ unescape(nodeValues[2]) +"\" />");
					}
				else
					{
					if(nodeValues[4] != "#")
						document.write("<img class=\"treeimg\" id=\"icon" + nodeValues[0] + "\" src=\"../../../templates/images/"+nodeValues[4]+"\" align=\"absbottom\" alt=\""+ unescape(nodeValues[2]) + "\" href=\""+ nodeValues[3]+"\" />");
					else
						document.write("<img class=\"treeimg\" id=\"icon" + nodeValues[0] + "\" src=\"../../../templates/images/page.gif\" align=\"absbottom\" alt=\""+ unescape(nodeValues[2]) + "\" href=\""+ nodeValues[3]+"\" />");
					}
				// Write out node name
				document.write(unescape(nodeValues[2]));
	
				// End link
				document.write("</a></br>");
				}
			// If node has children write out divs and go deeper
			if (hcn)
				{
				document.write("<div NOWRAP=\"\" id=\"div" + nodeValues[0] + "\"");
				if (!ino)
					document.write(" style=\"display: none;\"");
				document.write(">");
				addNode(nodeValues[0], recursedNodes);
				document.write("</div>");
				}
			// remove last line or empty icon 
			recursedNodes=recursedNodes.slice(0,-1);
			}
		}
	}
// Opens or closes a node
function oc(node, bottom)
	{
	/**Node States*/
	var theDiv = document.getElementById("div" + node);
	var theJoin	= document.getElementById("join" + node);
	var theIcon = document.getElementById("icon" + node);
	
	/**Get Node's values*/
	var nodeValues = nodes[getArrayId(node)].split("|");
	/**Open Node?*/
	if (theDiv.style.display == 'none')
		{
		if (bottom==1)
			theJoin.src = icons[3].src;
		else
			theJoin.src = icons[2].src;
		if(nodeValues[4] == '#')
			theIcon.src = icons[5].src;
		theDiv.style.display = '';
		
		/**
		 *Now search for the next valid link and open this one
		 */
		var i=getArrayId(node)+1;
		if(i<nodes.length)
			{
			nodeValues = nodes[i].split("|");
			if(nodeValues[3] != "#" && nodeValues[0] != scoreNodeID)
				{
				/**Open this link*/
				var theLink = document.getElementById("I"+nodeValues[0]);
				theLink.click();
				}
			}
		}
	/**Closing node*/
	else
		{
		if (bottom==1)
			theJoin.src = icons[1].src;
		else
			theJoin.src = icons[0].src;
		if(nodeValues[4] == '#')
			theIcon.src = icons[4].src;
		theDiv.style.display = 'none';
		}
	}
//Triggers the Opening of a Help Document Module
function DoOpenDocument(theLinkIndex,theURL,theType)
	{
	
	/**Use the link itself to obtain the target frame*/
	var theTarget = window.top.frames("mainFrame");
	if(theTarget)
		{
		/**
		 *Store the Values on the Top Window
		 */
		/**create the Type's class (for small icon) and title (for header)*/
		window.top.theTypeClass = "";
		/**Create the Title*/
		window.top.theTypeTitle = "";
		/**Store the URL*/
		window.top.theURL = theURL;

		/**Get Node's values*/
		var nodeValues = nodes[theLinkIndex].split("|");

		/**
		 * #ISSUE 5833 Get titles recursively
		 */
		/**The document frame title*/
		var theTitle = "";
		/**Get the Parent Node*/
		var theNodeIndex = nodeValues[1];
		/**We are going to get the Parent title recursively till root*/
		for (i=0; theNodeIndex > 0; i++)
			{
			/**Get the table index*/
			theNodeIndex--;
			/**Get the values for this node*/
			nodeValues = nodes[theNodeIndex].split("|");
			/**Check if we have received valid values*/
			if (!nodeValues)
				break;
			/**Get the title of this parent node*/
			theTitle = (i==0)?nodeValues[2]:nodeValues[2]+" - "+theTitle;	
			/**Get the Parent of this parent node*/
			theNodeIndex = nodeValues[1];
			}
			
		/**Write the title*/
		window.top.theTypeTitle = theTitle;

		/**Switch according to type*/
		switch(theType)
			{
		case "doc":
			window.top.theTypeClass = "imageDocWord";
			break;
		case "pps":
			window.top.theTypeClass = "imageDocPPS";
			break;
		case "htm":
		default:
			window.top.theTypeClass = "imageDOCHTM";
			break;
			}
		/**Now open the Link*/
        theTarget.location.href='../../../templates/docu_page.htm';
		}
	}
/**Shows or hides the score*/	
function DoShowScore(bShow)
	{
	/**Check if we have a score node*/
	if (scoreNodeID != -1)
		{
		/**Node States*/
		var theNode = document.getElementById("I" + scoreNodeID);
		var theJoin	= document.getElementById("join" + scoreNodeID);
		var theIcon = document.getElementById("icon" + scoreNodeID);
		var theSpan= document.getElementById("span" + scoreNodeID);
		
		var newDisplay="none";
		if(bShow)
			newDisplay="inline";
			
		theJoin.style.display=newDisplay;
		theIcon.style.display=newDisplay;
		theSpan.style.display=newDisplay;
		}
	}